io.vertx.ext.web.handler.graphql.ws

## Interface GraphQLWSHandler

- All Superinterfaces:
    Handler<RoutingContext>, ProtocolUpgradeHandler

      public interface GraphQLWSHandler
      extends ProtocolUpgradeHandler

  A handler for the GraphQL over WebSocket Protocol.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphQLWSHandler` | `beforeExecute(Handler<ExecutionInputBuilderWithContext<Message>> config)` Deprecated. as of 4.5.1, use `builder(GraphQL)` instead
    `static GraphQLWSHandlerBuilder` | `builder(graphql.GraphQL graphQL)` Create a new `GraphQLWSHandlerBuilder` that will use the provided `graphQL` to build a `GraphQLWSHandler`.
    `GraphQLWSHandler` | `connectionInitHandler(Handler<ConnectionInitEvent> connectionInitHandler)` Deprecated. as of 4.5.1, use `builder(GraphQL)` instead
    `static GraphQLWSHandler` | `create(graphql.GraphQL graphQL)` Create a new `GraphQLWSHandler` that will use the provided `graphQL` object to execute requests.
    `static GraphQLWSHandler` | `create(graphql.GraphQL graphQL, GraphQLWSOptions options)` Create a new `GraphQLWSHandler` that will use the provided `graphQL` object to execute requests.
    `GraphQLWSHandler` | `endHandler(Handler<ServerWebSocket> endHandler)` Deprecated. as of 4.5.1, use `builder(GraphQL)` instead
    `GraphQLWSHandler` | `messageHandler(Handler<Message> messageHandler)` Deprecated. as of 4.5.1, use `builder(GraphQL)` instead

    - ### Methods inherited from interface io.vertx.core.Handler

      `handle`

- - ### Method Detail

    - #### builder

          static GraphQLWSHandlerBuilder builder(graphql.GraphQL graphQL)

      Create a new `GraphQLWSHandlerBuilder` that will use the provided `graphQL` to build a `GraphQLWSHandler`.

    - #### create

          static GraphQLWSHandler create(graphql.GraphQL graphQL)

      Create a new `GraphQLWSHandler` that will use the provided `graphQL` object to execute requests.

      The handler will be configured with the default `GraphQLWSOptions`.

    - #### create

          static GraphQLWSHandler create(graphql.GraphQL graphQL,
                                         GraphQLWSOptions options)

      Create a new `GraphQLWSHandler` that will use the provided `graphQL` object to execute requests.

      The handler will be configured with the given `options`.

      Parameters:
        `options` - options for configuring the `GraphQLWSOptions`

    - #### connectionInitHandler

          @Deprecated
          GraphQLWSHandler connectionInitHandler(Handler<ConnectionInitEvent> connectionInitHandler)

      Deprecated. as of 4.5.1, use `builder(GraphQL)` instead
      Customize the connection init `Handler`. This handler will be called when the `MessageType.CONNECTION_INIT` message is received.
      Returns:
        a reference to this, so the API can be used fluently

    - #### beforeExecute

          @Deprecated
          GraphQLWSHandler beforeExecute(Handler<ExecutionInputBuilderWithContext<Message>> config)

      Deprecated. as of 4.5.1, use `builder(GraphQL)` instead
      Set a callback to invoke before executing a GraphQL query.
      Parameters:
        `config` - the callback to invoke
      Returns:
        a reference to this, so the API can be used fluently

    - #### messageHandler

          @Deprecated
          GraphQLWSHandler messageHandler(Handler<Message> messageHandler)

      Deprecated. as of 4.5.1, use `builder(GraphQL)` instead
      Customize the message `Handler`. This handler will be called for each `Message` received.
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          @Deprecated
          GraphQLWSHandler endHandler(Handler<ServerWebSocket> endHandler)

      Deprecated. as of 4.5.1, use `builder(GraphQL)` instead
      Customize the end `Handler`. This handler will be called at the end of each websocket connection.
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2024 Eclipse. All rights reserved.